#############################################################################
##  
##  PackageInfo.g for the package `Example'                      Bettina Eick
##                                                               Tobias Moede

SetPackageInfo( rec(
PackageName := "ccalgs",
Subtitle := "Nilpotent associative algebra generation and computation of coclass graphs for such algebras",
Version := "1.1",
Date := "17/01/2022",

## <#GAPDoc Label="PKGVERSIONDATA">
##	<!ENTITY VERSION "1.1">
##	<!ENTITY RELEASEDATE "17 January 2022">
## <#/GAPDoc>

PackageWWWHome := "http://www.icm.tu-bs.de/~tobmoede/ccalgs/",
ArchiveURL := Concatenation( ~.PackageWWWHome, "ccalgs-", ~.Version ),
ArchiveFormats := ".tar.gz",

Persons := [
  rec( 
    LastName      := "Eick",
    FirstNames    := "Bettina",
    IsAuthor      := true,
    IsMaintainer  := false,
    Email         := "beick@tu-bs.de",
    WWWHome       := "http://www.iaa.tu-bs.de/beick/",
    PostalAddress := Concatenation( [
                       "Institute for Analysis and Algebra\n",
                       "Universitätsplatz 2, 38106 Braunschweig\n",
                       "Germany" ] ),
    Place         := "Braunschweig",
    Institution   := "TU Braunschweig"
  ),
  rec( 
    LastName      := "Moede",
    FirstNames    := "Tobias",
    IsAuthor      := true,
    IsMaintainer  := true,
    Email         := "t.moede@tu-bs.de",
    WWWHome       := "https://www.tu-braunschweig.de/iaa/personal/moede",
    PostalAddress := Concatenation( [
                       "Institute for Analysis and Algebra\n",
                       "Universitätsplatz 2, 38106 Braunschweig\n",
                       "Germany" ] ),
    Place         := "Braunschweig",
    Institution   := "TU Braunschweig"
  ),
],

Status := "dev",

README_URL := 
  Concatenation( ~.PackageWWWHome, "README" ),
PackageInfoURL := 
  Concatenation( ~.PackageWWWHome, "PackageInfo.g" ),

AbstractHTML := 
  "The <span class=\"pkgname\">ccalgs</span> package contains methods to \
   calculate descendants of nilpotent associative algebras over finite fields. \
   These are used to provide methods for calculating coclass graphs of such algebras. \
   It further contains routines to plot these graphs using XGAP",

PackageDoc := rec(         
  BookName  := "ccalgs",
  ArchiveURLSubset := ["doc"],
  HTMLStart := "doc/chap0.html",
  PDFFile   := "doc/manual.pdf",
  SixFile   := "doc/manual.six",
  LongTitle := "Coclass graphs for nilpotent associative algebras",
),

Dependencies := rec(
  GAP := ">=4.4",
  NeededOtherPackages := [["ModIsom", ">=2.3"]],
  SuggestedOtherPackages := [],
  ExternalConditions := []                      
),

BannerString := Concatenation( "Loading ccalgs ", ~.Version, "... \n"),
AvailabilityTest := ReturnTrue,
Autoload := false,
));

